> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pointset.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List entities

> Returns entities matching this subscription, with only the subscribed fields included.



## OpenAPI

````yaml get /v1/subscriptions/{id}/entities
openapi: 3.1.0
info:
  title: Pointset API
  version: v1
  description: >-
    The Pointset location intelligence API. Subscribe to cities and entity types
    to receive continuously updated data about real-world places.
servers:
  - url: https://api.pointset.io
security: []
paths:
  /v1/subscriptions/{id}/entities:
    get:
      tags:
        - Subscriptions
      summary: List entities for subscription
      description: >-
        Returns entities matching this subscription, with only the subscribed
        fields included.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: integer
            minimum: 1
            default: 50
            example: 50
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
            example: 0
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Entity'
                  total:
                    type: integer
                  limit:
                    type: integer
                  offset:
                    type: integer
                required:
                  - data
                  - total
                  - limit
                  - offset
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        city:
          type: string
        entity_type:
          type: string
        external_id:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        latitude:
          type: number
          nullable: true
        longitude:
          type: number
          nullable: true
        instagram_url:
          type: string
          nullable: true
        facebook_url:
          type: string
          nullable: true
        open_hours:
          type: object
          nullable: true
          additionalProperties:
            type: string
        google_maps_category:
          type: string
          nullable: true
        fields:
          type: object
          additionalProperties:
            nullable: true
        discovered_at:
          type: string
        updated_at:
          type: string
        removed_at:
          type: string
          nullable: true
      required:
        - id
        - name
        - city
        - entity_type
        - external_id
        - phone
        - website
        - latitude
        - longitude
        - instagram_url
        - facebook_url
        - open_hours
        - google_maps_category
        - fields
        - discovered_at
        - updated_at
        - removed_at
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````